package com.ylcm.sys.form;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

import org.apache.commons.lang.StringUtils;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 *     专题产品对标分析
 * </p>
 *
 * @author admin
 * @since 2020-07-14
 */
@Data
@NoArgsConstructor
public class AdSpecialAnalysisBenchmarkingQueryForm {
    /**
             * 对标类型  0：产品  1：栏目
     */
	private Integer type;
	/**
             * 对标产品 ids,用“|” 分割
     */
	private String ids;
	private List<Integer> idList;
	/**
     * true : 对标产品选中查询  false ：对标产品添加查询
     */
	private Boolean queryFlag; 
	
	/**
             *   产品名
     */
	private String productName;
	
    private Integer pageSize = 10;
    
    private Integer pageNo = 1;
    
    public boolean isNullForm() {
		return type == null || StringUtils.isBlank(ids);
    }
    
    public void toSelectQueryForm() {
		if(StringUtils.isNotBlank(ids)) {
			idList = Arrays.asList(ids.split("\\|")).stream().map(id -> Integer.parseInt(id)).collect(Collectors.toList());
    	}
		queryFlag = true ; // 对标产品选中查询
		pageSize = 3;
    }
    
    public void toAddSelectQueryForm() {
  		if(StringUtils.isNotBlank(ids)) {
  			idList = Arrays.asList(ids.split("\\|")).stream().map(id -> Integer.parseInt(id)).collect(Collectors.toList());
      	}
  		queryFlag = false ; // 对标产品添加查询
      }
}
