package com.ylcm.sys.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdSpecial;
import com.ylcm.sys.excel.model.AdSpecialPlatformImportDTO;
import com.ylcm.sys.excel.model.AdSpecialProductImportDTO;
import com.ylcm.sys.form.AdSpecialForm;
import com.ylcm.sys.form.AdSpecialQueryForm;

/**
 * <p>
 * 专题管理 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdSpecialService extends IService<AdSpecial> {

	IPage<AdSpecial> queryPage(AdSpecialQueryForm adSpecialQueryForm);
	
	AdSpecial getOneByForm(AdSpecialForm form);
	
	String importProductBatch(List<AdSpecialProductImportDTO> importDTOs) throws Exception;
	
	String importPlatformBatch(List<AdSpecialPlatformImportDTO> importDTOs) throws Exception;

	/**
	 * 栏目或者产品名修改后 同步专题
	 * @param type
	 * @param
	 */
	void updateProductName(Integer type, String oldName, String newName);

	void updateTvName(String oldName, String newName);
}
