package com.ylcm.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdTheatreTvStat;
import com.ylcm.sys.form.AdTheatreAnalysisDetailQueryForm;
import com.ylcm.sys.form.AdTheatreAnalysisQueryForm;
import com.ylcm.sys.vo.*;

import java.util.List;

/**
 * <p>
 * 关联电视剧数据 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdTheatreTvStatService extends IService<AdTheatreTvStat> {

	IPage<AdTheatreAnalysisVO> getPage(AdTheatreAnalysisQueryForm queryForm);
	
	IPage<AdTheatreAnalysisDetailVO> getDetailPage(AdTheatreAnalysisDetailQueryForm queryForm);

	AdTheatreTvStat statByMedia(String mediaName, Integer theatreTime, String startDate, String endDate);

	/**
	 * 剧场电视剧收视排名
	 * @param startDate
	 * @param endDate
	 * @return
	 */
	List<AdTheatreTopVO> getTvTop(String startDate, String endDate);

	/**
	 * 剧场电视剧收视排名
	 * @param startDate
	 * @param endDate
	 * @return
	 */
	List<AdTheatreTopVO> getMediaTop(String startDate, String endDate);

	/**
	 * 电视剧收视分析
	 * @param queryForm
	 * @return
	 */
	AdTvRatioVO getTvRatioVO(AdTheatreAnalysisDetailQueryForm queryForm);

	/**
	 * 收视区域分步
	 * @param queryForm
	 * @return
	 */
	AdTvZoneVO getTvZoneVO(AdTheatreAnalysisDetailQueryForm queryForm);

	/**
	 * 电视剧产品投放分析
	 * @param queryForm
	 * @return
	 */
	List<AdTheatreProductDistVO> getProductVO(AdTheatreAnalysisDetailQueryForm queryForm);

	/**
	 * 电视剧体裁结构分析
	 * @param queryForm
	 * @return
	 */
	List<AdThemeDistVO> getThemeDistVO(AdTheatreAnalysisDetailQueryForm queryForm);
}
