package com.ylcm.sys.task;

import com.ylcm.sys.service.AdTheatreTvStatService;
import com.ylcm.sys.service.SpecialAnalysisService;
import lombok.extern.slf4j.Slf4j;
import net.bytebuddy.asm.Advice;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

/**
 * 央卫剧场分析
 */
@Component
@Slf4j
public class TheatreTopTask {

	@Resource
	private AdTheatreTvStatService adTheatreTvStatService;
	/**
	 * 最近一周的每2小时运行 电视剧及卫视剧场排名
	 */
	@Scheduled(cron = "0 0 0/2 * * ?")
	public void topTaskWeek(){
		log.info("电视剧及卫视剧场排名---start");
		LocalDate now = LocalDate.now();
		now = now.minusDays(1);
		LocalDate day7before = now.minusDays(7);
		adTheatreTvStatService.getTvTop(now.format(DateTimeFormatter.ISO_DATE), day7before.format(DateTimeFormatter.ISO_DATE));
		adTheatreTvStatService.getMediaTop(now.format(DateTimeFormatter.ISO_DATE), day7before.format(DateTimeFormatter.ISO_DATE));
		log.info("电视剧及卫视剧场排名---end");
	}
	
	/**
	 * 月、年的每天运行两次
	 */
	@Scheduled(cron = "0 0 4,12 * * ?")
	public void topTaskMonth(){
		log.info("电视剧排名---start");
		LocalDate now = LocalDate.now();
		now = now.minusDays(1);
		LocalDate day7before = now.minusDays(30);
		adTheatreTvStatService.getTvTop(now.format(DateTimeFormatter.ISO_DATE), day7before.format(DateTimeFormatter.ISO_DATE));
		adTheatreTvStatService.getMediaTop(now.format(DateTimeFormatter.ISO_DATE), day7before.format(DateTimeFormatter.ISO_DATE));
		
		LocalDate day365before = now.minusDays(365);
		adTheatreTvStatService.getTvTop(now.format(DateTimeFormatter.ISO_DATE), day365before.format(DateTimeFormatter.ISO_DATE));
		adTheatreTvStatService.getMediaTop(now.format(DateTimeFormatter.ISO_DATE), day365before.format(DateTimeFormatter.ISO_DATE));
		
		log.info("电视剧排名---end");
	}
	
	
	
	
}
