package com.ylcm.sys.vo;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalTime;

import com.alibaba.fastjson.annotation.JSONField;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("剧场分析")
@Data
public class AdTheatreAnalysisDetailVO {
	
	private Integer id;

	@ApiModelProperty(value = "剧名")
    private String name;

    @ApiModelProperty(value = "媒体")
    private String mediaName;

    @ApiModelProperty(value = "题材")
    private String firstTheme;

    @ApiModelProperty(value = "细分题材")
    private String secondTheme;
    
    @ApiModelProperty("播出日期")
    @JSONField(format = "yyyy-MM-dd")
    private LocalDate showDate;
    
    @ApiModelProperty("播出时间")
    @JSONField(format = "HH:mm:ss")
    private LocalTime showTime;
    
    @ApiModelProperty("产品栏目")
    private String productName;
    
    @ApiModelProperty("类型 0产品 1栏目")
    private Integer type;
    
    @ApiModelProperty("时长")
    private String showDuration;
    
    @ApiModelProperty("进线预估")
    private BigDecimal jinxian;
    
    @ApiModelProperty(value = "省网收视")
    private Float rating29;

    @ApiModelProperty(value = "省网到达千人")
    private Integer dk29;

    @ApiModelProperty(value = "频道收视率")
    private Float rating51;

    @ApiModelProperty(value = "频道到达千人")
    private Integer dk51;
}
