<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ include file="../common/common.jsp" %>
<%@ taglib prefix="fn" uri="/WEB-INF/fn.tld"%>
<title>品牌植入分析</title>
<script type="text/javascript">
$(function(){
	$.resetText();
	$(".text").input();
	$.checkbox();
	$(".table").hoverTable(true, true);
	$("#start_time, #end_time").datetimepicker();
	changeDateTab(7);
	$("#tabMenu").tabMenu({removeClass:"btn-disabled",fun:function(obj){
		changeDateTab(obj.dataset.day);
	}});
	changeTagName();
});
</script>
<link rel="stylesheet" type="text/css" href="${staticPath}css/jquery.datetimepicker.css" />
<script type="text/javascript" src="${staticPath}js/common/jquery.datetimepicker.js"></script>
<script type="text/javascript" src="${staticPath}js/analysis/benchmark.js"></script>
<script type="text/javascript" src="${staticPath}js/echart/echarts.common.min.js"></script>
</head>
<body>
<%@ include file="../common/head.jsp" %>
<div class="screen main">
	<div class="radius-tabs">
		<span class="button active">产品对标分析</span>
	</div>
	<div class="mTop20">
		<span class="orange">对标产品</span>&nbsp;&nbsp;&nbsp;&nbsp;
		<input type="hidden" id="type" name="type" value="${type}" />
		<input type="hidden" id="brandNameList" name="brandNameList" value="${brandNameList}" />
		<ul class="ben-item inline">
			<c:forEach items="${brandList}" var="brand">
				<li>
					<a href="javascript:void(0);" onclick="delBenId(this);" data-id='${brand.id}' data-brand='${brand.productName}' class="del">x</a>
					<div class="ben-img"><span><img src="${brand.imgUrl}" width="100" height="100" onerror="javascript:this.src='${staticPath}/img/noimg.jpg';"/></span></div>
					<div class="ben-title" name="ben-title">《${brand.productName}》</div>
				</li>
			</c:forEach>
			<c:if test="${fn:length(brandList) < 3}">
				<li id="addBen">
					<a href="javascript:addBenId();" class="ben-img"><span>+添加</span></a>
					<div class="ben-title">&nbsp;</div>
				</li>
			</c:if>
		</ul>
	</div>
	<div class="mTop20">
		<span class="orange">对标时间</span>&nbsp;&nbsp;&nbsp;&nbsp;
		<div class="buttons inline" id="tabMenu">
			<span class="btn btn-disabled" data-day="0">全部</span>
			<span class="btn" data-day="7">最近一周</span>
			<span class="btn btn-disabled" data-day="90">最近三月</span>
			<span class="btn btn-disabled" data-day="365">最近一年</span>
		</div>
		<span class="pLeft20"><input type="text" name="start_time" id="start_time" class="text {text:'开始时间'}" size="10" /> - <input type="text" name="end_time" id="end_time" class="text {text:'结束时间'}" size="10" /></span>
	    <div style="float:right;margin-right: 2%">
			<div class="search-item"><a href="javascript:getBenchmarkingPieData();" class="btn-radius">搜 索</a></div>
	    </div>
	</div>
	<div class="box-pd">
		<div class="hd-title">竞品卫视投放频次分布比较</div>
		<div class="box-sub-pad">
			<div class="box-row">
				<c:if test="${fn:length(brandList) == 1}">
					<div class="row-100">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_1'></span> </div>
						<div class="padContent">
							<div id="chart_1" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 2}">
					<div class="row-50">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_1'></span> </div>
						<div class="padContent">
							<div id="chart_1" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-50">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_1'></span> </div>
						<div class="padContent">
							<div id="chart_2" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 3}">
					<div class="row-30">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_1'></span> </div>
						<div class="padContent">
							<div id="chart_1" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_1'></span> </div>
						<div class="padContent">
							<div id="chart_2" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_3'></span> <span name='title_1'></span> </div>
						<div class="padContent">
							<div id="chart_3" style="height:300px;"></div>
						</div>
					</div>
				</c:if>
			</div>
		</div>
		<div class="hd-title mTop20">竞品卫视投放时长分布比较</div>
		<div class="box-sub-pad">
			<div class="box-row">
			    <c:if test="${fn:length(brandList) == 1}">
					<div class="row-100">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_2'></span></div>
						<div class="padContent">
							<div id="chart_4" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 2}">
					<div class="row-50">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_2'></span></div>
						<div class="padContent">
							<div id="chart_4" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-50">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_2'></span></div>
						<div class="padContent">
							<div id="chart_5" style="height:300px;"></div>
						</div>
				    </div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 3}">
					<div class="row-30">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_2'></span></div>
						<div class="padContent">
							<div id="chart_4" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_2'></span></div>
						<div class="padContent">
							<div id="chart_5" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_3'></span> <span name='title_2'></span></div>
						<div class="padContent">
							<div id="chart_6" style="height:300px;"></div>
						</div>
					</div>
				</c:if>
			</div>
		</div>
		<div class="hd-title mTop20">竞品电视剧环境投放频次分布比较</div>
		<div class="box-sub-pad">
			<div class="box-row">
			    <c:if test="${fn:length(brandList) == 1}">
					<div class="row-100">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_3'></span></div>
						<div class="padContent">
							<div id="chart_7" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 2}">
				    <div class="row-50">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_3'></span></div>
						<div class="padContent">
							<div id="chart_7" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-50">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_3'></span></div>
						<div class="padContent">
							<div id="chart_8" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 3}">
					<div class="row-30">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_3'></span></div>
						<div class="padContent">
							<div id="chart_7" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_3'></span></div>
						<div class="padContent">
							<div id="chart_8" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_3'></span> <span name='title_3'></span></div>
						<div class="padContent">
							<div id="chart_9" style="height:300px;"></div>
						</div>
					</div>
				</c:if>
			</div>
		</div>
		<div class="hd-title mTop20">竞品电视剧环境投放时长分布比较</div>
		<div class="box-sub-pad">
			<div class="box-row">
			    <c:if test="${fn:length(brandList) == 1}">
					<div class="row-100">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_4'></span></div>
						<div class="padContent">
							<div id="chart_10" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 2}">
				    <div class="row-50">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_4'></span></div>
						<div class="padContent">
							<div id="chart_10" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-50">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_4'></span></div>
						<div class="padContent">
							<div id="chart_11" style="height:300px;"></div>
						</div>
					</div>
			    </c:if>
			    <c:if test="${fn:length(brandList) == 3}">
					<div class="row-30">
						<div class="sub-title"><span name='brand_1'></span> <span name='title_4'></span></div>
						<div class="padContent">
							<div id="chart_10" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_2'></span> <span name='title_4'></span></div>
						<div class="padContent">
							<div id="chart_11" style="height:300px;"></div>
						</div>
					</div>
					<div class="row-30">
						<div class="sub-title"><span name='brand_3'></span> <span name='title_4'></span></div>
						<div class="padContent">
							<div id="chart_12" style="height:300px;"></div>
						</div>
					</div>
				</c:if>
			</div>
		</div>
	</div>
</div>
<%@ include file="../common/footer.jsp" %>
</body>
</html>